spring:
  main:
    allow-bean-definition-overriding: true
  datasource:
    driverClassName: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://39.107.107.60:3306/liankong-demo?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT%2B8
    username: root
    password: youhong
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      pool-name: DatebookHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-init-sql: set names utf8mb4
      connection-test-query: SELECT 1
  #Redis
  redis:
    database: 0
    host: 127.0.0.1
    password:
    port: 6379
    pool:
      max-active: 20
      max-wait: 1
      max-idle: 5
      min-idle: 5
    timeout: 10000
ribbon:
  ReadTimeout: 10000
  ConnectTimeout: 10000